<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PackageRelationshipCollection (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PackageRelationshipCollection (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PackageRelationshipCollection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipTypes.html"
               title="interface in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html"
               target="_top">Frames</a></li>
        <li><a href="PackageRelationshipCollection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.openxml4j.opc</div>
    <h2 title="Class PackageRelationshipCollection" class="title">Class PackageRelationshipCollection</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.openxml4j.opc.PackageRelationshipCollection</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a
                            href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                            title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">PackageRelationshipCollection</span>
extends java.lang.Object
implements java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                    title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&gt;</pre>
                <div class="block">Represents a collection of PackageRelationship elements that are owned by a
                    given PackagePart or the Package.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Version:</span></dt>
                    <dd>0.1</dd>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Julien Chable, CDubettier</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#PackageRelationshipCollection-org.apache.poi.openxml4j.opc.OPCPackage-">PackageRelationshipCollection</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container)</code>
                                    <div class="block">Constructor.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#PackageRelationshipCollection-org.apache.poi.openxml4j.opc.OPCPackage-org.apache.poi.openxml4j.opc.PackagePart-">PackageRelationshipCollection</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                       title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>
                                    <div class="block">Constructor.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#PackageRelationshipCollection-org.apache.poi.openxml4j.opc.PackagePart-">PackageRelationshipCollection</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>
                                    <div class="block">Constructor.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#PackageRelationshipCollection-org.apache.poi.openxml4j.opc.PackageRelationshipCollection-java.lang.String-">PackageRelationshipCollection</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationshipCollection</a>&nbsp;coll,
                                    java.lang.String&nbsp;filter)</code>
                                    <div class="block">Copy constructor.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#addRelationship-org.apache.poi.openxml4j.opc.PackageRelationship-">addRelationship</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&nbsp;relPart)</code>
                                    <div class="block">Add the specified relationship to the collection.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#addRelationship-java.net.URI-org.apache.poi.openxml4j.opc.TargetMode-java.lang.String-java.lang.String-">addRelationship</a></span>(java.net.URI&nbsp;targetUri,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/TargetMode.html"
                                       title="enum in org.apache.poi.openxml4j.opc">TargetMode</a>&nbsp;targetMode,
                                    java.lang.String&nbsp;relationshipType,
                                    java.lang.String&nbsp;id)</code>
                                    <div class="block">Add a relationship to the collection.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#clear--">clear</a></span>()</code>
                                    <div class="block">Clear all relationships.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#findExistingInternalRelation-org.apache.poi.openxml4j.opc.PackagePart-">findExistingInternalRelation</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;packagePart)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#getRelationship-int-">getRelationship</a></span>(int&nbsp;index)</code>
                                    <div class="block">Retrieves a relationship by its index in the collection.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#getRelationshipByID-java.lang.String-">getRelationshipByID</a></span>(java.lang.String&nbsp;id)</code>
                                    <div class="block">Retrieves a package relationship based on its id.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationshipCollection</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#getRelationships-java.lang.String-">getRelationships</a></span>(java.lang.String&nbsp;typeFilter)</code>
                                    <div class="block">Retrieves all relations with the specified type.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#iterator--">iterator</a></span>()</code>
                                    <div class="block">Get this collection's iterator.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#iterator-java.lang.String-">iterator</a></span>(java.lang.String&nbsp;typeFilter)</code>
                                    <div class="block">Get an iterator of a collection with all relationship with the
                                        specified
                                        type.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#parseRelationshipsPart-org.apache.poi.openxml4j.opc.PackagePart-">parseRelationshipsPart</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;relPart)</code>
                                    <div class="block">Parse the relationship part and add all relationship in this
                                        collection.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#removeRelationship-java.lang.String-">removeRelationship</a></span>(java.lang.String&nbsp;id)</code>
                                    <div class="block">Remove a relationship by its ID.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#size--">size</a></span>()</code>
                                    <div class="block">Get the numbe rof relationships in the collection.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PackageRelationshipCollection-org.apache.poi.openxml4j.opc.PackageRelationshipCollection-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PackageRelationshipCollection</h4>
                                <pre>public&nbsp;PackageRelationshipCollection(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationshipCollection</a>&nbsp;coll,
                                     java.lang.String&nbsp;filter)</pre>
                                <div class="block">Copy constructor.

                                    This collection will contain only elements from the specified collection
                                    for which the type is compatible with the specified relationship type
                                    filter.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>coll</code> - Collection to import.</dd>
                                    <dd><code>filter</code> - Relationship type filter.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="PackageRelationshipCollection-org.apache.poi.openxml4j.opc.OPCPackage-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PackageRelationshipCollection</h4>
                                <pre>public&nbsp;PackageRelationshipCollection(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container)
                              throws <a href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                        title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></pre>
                                <div class="block">Constructor.</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="PackageRelationshipCollection-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PackageRelationshipCollection</h4>
                                <pre>public&nbsp;PackageRelationshipCollection(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
                              throws <a href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                        title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></pre>
                                <div class="block">Constructor.</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                        - Throws if the format of the content part is invalid.
                                    </dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidOperationException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidOperationException</a></code>
                                        - Throws if the specified part is a relationship part.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="PackageRelationshipCollection-org.apache.poi.openxml4j.opc.OPCPackage-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PackageRelationshipCollection</h4>
                                <pre>public&nbsp;PackageRelationshipCollection(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;container,
                                     <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
                              throws <a href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                        title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></pre>
                                <div class="block">Constructor. Parse the existing package relationship part if one
                                    exists.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>container</code> - The parent package.</dd>
                                    <dd><code>part</code> - The part that own this relationships collection. If
                                        <b>null</b>
                                        then this part is considered as the package root.
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                        - If an error occurs during the parsing of the relatinships
                                        part fo the specified part.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="addRelationship-org.apache.poi.openxml4j.opc.PackageRelationship-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addRelationship</h4>
                                <pre>public&nbsp;void&nbsp;addRelationship(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&nbsp;relPart)</pre>
                                <div class="block">Add the specified relationship to the collection.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>relPart</code> - The relationship to add.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addRelationship-java.net.URI-org.apache.poi.openxml4j.opc.TargetMode-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addRelationship</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&nbsp;addRelationship(java.net.URI&nbsp;targetUri,
                                           <a href="../../../../../org/apache/poi/openxml4j/opc/TargetMode.html"
                                              title="enum in org.apache.poi.openxml4j.opc">TargetMode</a>&nbsp;targetMode,
                                           java.lang.String&nbsp;relationshipType,
                                           java.lang.String&nbsp;id)</pre>
                                <div class="block">Add a relationship to the collection.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>targetUri</code> - Target URI.</dd>
                                    <dd><code>targetMode</code> - The target mode : INTERNAL or EXTERNAL</dd>
                                    <dd><code>relationshipType</code> - Relationship type.</dd>
                                    <dd><code>id</code> - Relationship ID.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The newly created relationship.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/openxml4j/opc/PackageAccess.html"
                                           title="enum in org.apache.poi.openxml4j.opc"><code>PackageAccess</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeRelationship-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeRelationship</h4>
                                <pre>public&nbsp;void&nbsp;removeRelationship(java.lang.String&nbsp;id)</pre>
                                <div class="block">Remove a relationship by its ID.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - The relationship ID to remove.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRelationship-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRelationship</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&nbsp;getRelationship(int&nbsp;index)</pre>
                                <div class="block">Retrieves a relationship by its index in the collection.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - Must be a value between [0-relationships_count-1]</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRelationshipByID-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRelationshipByID</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&nbsp;getRelationshipByID(java.lang.String&nbsp;id)</pre>
                                <div class="block">Retrieves a package relationship based on its id.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - ID of the package relationship to retrieve.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The package relationship identified by the specified id.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="size--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>size</h4>
                                <pre>public&nbsp;int&nbsp;size()</pre>
                                <div class="block">Get the numbe rof relationships in the collection.</div>
                            </li>
                        </ul>
                        <a name="parseRelationshipsPart-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parseRelationshipsPart</h4>
                                <pre>public&nbsp;void&nbsp;parseRelationshipsPart(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;relPart)
                            throws <a href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                      title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></pre>
                                <div class="block">Parse the relationship part and add all relationship in this
                                    collection.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>relPart</code> - The package part to parse.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                        - Throws if the relationship part is invalid.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRelationships-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRelationships</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationshipCollection</a>&nbsp;getRelationships(java.lang.String&nbsp;typeFilter)</pre>
                                <div class="block">Retrieves all relations with the specified type.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>typeFilter</code> - Relationship type filter. If <b>null</b> then all
                                        relationships are returned.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>All relationships of the type specified by the filter.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&gt;&nbsp;iterator()</pre>
                                <div class="block">Get this collection's iterator.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                            title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&gt;&nbsp;iterator(java.lang.String&nbsp;typeFilter)</pre>
                                <div class="block">Get an iterator of a collection with all relationship with the
                                    specified
                                    type.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>typeFilter</code> - Type filter.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>An iterator to a collection containing all relationships with the
                                        specified type contain in this collection.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clear--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clear</h4>
                                <pre>public&nbsp;void&nbsp;clear()</pre>
                                <div class="block">Clear all relationships.</div>
                            </li>
                        </ul>
                        <a name="findExistingInternalRelation-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findExistingInternalRelation</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&nbsp;findExistingInternalRelation(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;packagePart)</pre>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PackageRelationshipCollection.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationshipTypes.html"
               title="interface in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/PackageRelationshipCollection.html"
               target="_top">Frames</a></li>
        <li><a href="PackageRelationshipCollection.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
